package com.bjtdba.merchant.dao;


import com.bjtdba.entity.merchant.SystemConfigValue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 配置表(SystemConfigValue)表数据库访问层
 *
 * @author makejava
 * @since 2022-08-07 14:40:43
 */
 @Repository
 @Mapper

public interface SystemConfigValueDao {

    /**
     * 通过ID查询单条数据
     *
     * @param configValueId 主键
     * @return 实例对象
     */
    SystemConfigValue queryById(Object configValueId);

    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit 查询条数
     * @return 对象列表
     */
    List<SystemConfigValue> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);


    /**
     * 通过实体作为筛选条件查询
     *
     * @param rrxSystemConfigValue 实例对象
     * @return 对象列表
     */
    List<SystemConfigValue> queryAll(@Param("e") SystemConfigValue rrxSystemConfigValue);

	/**
	*通过实体作为筛选条件查询统计个数
	*
	*
	*/
	int queryAllCount(SystemConfigValue rrxSystemConfigValue);

    /**
     * 新增数据
     *
     * @param rrxSystemConfigValue 实例对象
     * @return 影响行数
     */
    int insert(SystemConfigValue rrxSystemConfigValue);

    /**
     * 修改数据
     *
     * @param rrxSystemConfigValue 实例对象
     * @return 影响行数
     */
    int update(SystemConfigValue rrxSystemConfigValue);

    /**
     * 通过主键删除数据
     *
     * @param configValueId 主键
     * @return 影响行数
     */
    int deleteById(Object configValueId);

    String selectConfigValueByKeyAndMerId(String base_commission, int mer_id);

    int updateConfigValue(String config_key, int mer_id);
    int updateConfigValueByMerId(String config_key, int mer_id,String value);
    String getConfigValueByMerId(String config_key, int mer_id);

    SystemConfigValue selectValue(String config_key);

}
